Django and Geocode

Hi, I’m about to pass away with Geocode along with Django. I really appreciate any help you can provide. The only thing I want is using addresses and convert them into coordinates, but this comes up every time I try to fetch data from any provider, wether it’s OSM, Google, Yahoo, Photon, etc. I’ve been using this with Jupyter and everything is just great.

When I go check the columns in Jupyter with pandas, the latitudes and longitudes are there, but when I go to the database after runing the django server, they aren’t. It’s like some sort of mismatch between Django and GeoPy.

This is the error I get on my local machine (using windows 10):

Internal Server Error: /HF-Listing/
Traceback (most recent call last):
File “C:\envs\env\lib\site-packages\geopy\adapters.py”, line 387, in _request
resp = self.session.get(url, timeout=timeout, headers=headers)
File “C:\envs\env\lib\site-packages\requests\sessions.py”, line 347, in get
return self.request(‘GET’, url, **kwargs)
File “C:\envs\env\lib\site-packages\requests\sessions.py”, line 335, in request
resp = self.send(prep, **send_kwargs)
File “C:\envs\env\lib\site-packages\requests\sessions.py”, line 438, in send
r = adapter.send(request, **kwargs)
File “C:\envs\env\lib\site-packages\requests\adapters.py”, line 282, in send
resp = conn.urlopen(
File “C:\envs\env\lib\site-packages\requests\packages\urllib3\connectionpool.py”, line 423, in urlopen
conn = self._get_conn(timeout=pool_timeout)
File “C:\envs\env\lib\site-packages\requests\packages\urllib3\connectionpool.py”, line 238, in _get_conn
return conn or self._new_conn()
File “C:\envs\env\lib\site-packages\requests\packages\urllib3\connectionpool.py”, line 560, in _new_conn
connection = VerifiedHTTPSConnection(host=self.host,
TypeError: init() got an unexpected keyword argument ‘strict’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\envs\env\lib\site-packages\django\core\handlers\exception.py”, line 47, in inner
response = get_response(request)
File “C:\envs\env\lib\site-packages\django\core\handlers\base.py”, line 181, in _get_response
response = wrapped_callback(request, *callback_args, **callback_kwargs)
File “C:\Users\User\Desktop\Desktop_Dell_PC\all_website_aiterra\Website\aiterra_web\aiterra_web_website\listings\views.py”, line 19, in lista
location = geolocator.geocode(‘4550 Kester Mill Rd,Winston-Salem,NC’)
File “C:\envs\env\lib\site-packages\geopy\geocoders\nominatim.py”, line 297, in geocode
return self._call_geocoder(url, callback, timeout=timeout)
File “C:\envs\env\lib\site-packages\geopy\geocoders\base.py”, line 360, in _call_geocoder
result = self.adapter.get_json(url, timeout=timeout, headers=req_headers)
File “C:\envs\env\lib\site-packages\geopy\adapters.py”, line 377, in get_json
resp = self._request(url, timeout=timeout, headers=headers)
File “C:\envs\env\lib\site-packages\geopy\adapters.py”, line 402, in _request
raise GeocoderServiceError(message)
geopy.exc.GeocoderServiceError: init() got an unexpected keyword argument ‘strict’
[04/Jun/2021 15:32:52] “GET /HF-Listing/ HTTP/1.1” 500 137728

2 Likes